
<?php
/*

添加，修改，删除，批量添加


*/

include 'configure.php';
include 'qq.php';
include 'tools.php';

$un=$_POST['un'];
$pwd=md5($_POST['pwd']);

if($un==$unl && $pwd==$pwdl){

	$qq=$_POST['qq'];
	$mm=$_POST['mm'];
	$sid=$_POST['sid'];
	$action=$_GET['action'];
	if($action=='add'){//添加QQ=======================================
		if($qq!=null && $mm!=null && $sid!=null){
			$nu=count($qqarr);//总QQ数量
			$mark=true;
			for($i=0;$i<count($qqarr); $i++){//检测重复QQ的添加
				$qqs=text_lefttext($qqarr[$i],'----');
				if($qqs==$qq){
					$mark=false;
					echo '添加的QQ重复了';
					break;
				}
			}
			if($mark){
				$nux=array_unshift($qqarr,$qq.'----'.$mm.'----'.$sid);//加入数组
				if($nu==$nux-1){//加入数组成功
					$zz=fopen('qq.php','w+');//打开QQ文件，文件必须存在
					for($j=0;$j<count($qqarr); $j++){//构造文件
						$tmpe=$tmpe.'"'.$qqarr[$j].'",'."\r\n";
					}
					$qqphp='<?php $qqarr=Array('."\r\n\r\n".$tmpe."\r\n".');?>';
					fwrite($zz,$qqphp);//写入文件
					fclose($zz);//关闭文件
					echo '添加QQ成功 QQ:'.$qq;//
				}else{//加入数组失败
					echo '添加QQ失败 QQ:'.$qq;
				}
			}
			
		}else{//有空值
			echo '不能为空';
		}

	}elseif($action=='mod'){//修改QQ=======================================
		if($qq!=null && $mm!=null && $sid!=null){
			$nu=count($qqarr);//总QQ数量
			$mark=0;
			for($i=0;$i<count($qqarr); $i++){//寻找QQ
				$qqs=text_lefttext($qqarr[$i],'----');
				if($qqs==$qq){
					$zz=fopen('qq.php','r+');//打开QQ文件
					$qqstr=file_get_contents('qq.php');//读入文本
					$qqstrx=str_replace($qqarr[$i],$qq.'----'.$mm.'----'.$sid,$qqstr);
					if($qqstr!=$qqstrx){
						fwrite($zz,$qqstrx);//写入文件
						fclose($zz);//关闭文件
						$mark=1;
						break;
					}else{
						$mark=2;
						echo '没有改变';
					}
				}
			}
			if($mark==1){
				echo '修改QQ成功 QQ:'.$qq;
			}elseif($mark!=2){
				echo '没有找到欲修改的QQ'.$qq;
			}

		}else{
			echo '不能为空';
		}
	}elseif($action=='del'){//删除QQ=======================================
		if($qq!=null){
			$mark=0;
			for($i=0;$i<count($qqarr); $i++){//寻找QQ
				$qqs=text_lefttext($qqarr[$i],'----');
				if($qqs==$qq){
					$zz=fopen('qq.php','w+');//打开QQ文件
					//rsort($qqarr);
					$qqstrs=arr_delelement($qqarr,$qqarr[$i]);
					//print_r($qqstrs);
					for($j=0;$j<count($qqstrs); $j++){//构造文件
						$tmpe=$tmpe.'"'.$qqstrs[$j].'",'."\r\n";
					}
					$qqstrx='<?php $qqarr=Array('."\r\n\r\n".$tmpe."\r\n".');?>';
					fwrite($zz,$qqstrx);//写入文件
					fclose($zz);//关闭文件
					$mark=1;
					break;
				}
			}
			if($mark==1){
				echo '删除QQ成功 QQ:'.$qq;
			}else{
				echo '没有找到欲删除的QQ:'.$qq;
			}

		}else{
			echo '不能为空';
		}
	}elseif($action=='pladd'){//批量添加QQ,自动获取sid=================================
		$plqq=$_POST['plqq'];
		$tmpes=explode("\r\n",$plqq);
		for($i=0;$i<count($tmpes);$i++){
			$tmpe=$tmpe.'"'.$tmpes[$i].'",'."\r\n";
		}
		$zz=fopen('qq.php','w+');//打开QQ文件
		for($j=0;$j<count($qqarr); $j++){//取出原来的文件
			$tmpe2=$tmpe2.'"'.$qqarr[$j].'",'."\r\n";
		}
		$qqstrx='<?php $qqarr=Array('."\r\n\r\n".$tmpe2.$tmpe."\r\n".');?>';
		fwrite($zz,$qqstrx);//写入文件
		fclose($zz);//关闭文件
		//echo '载入QQ号码完毕，获取sid中。。';
		include 'qq.php';
		$yzm=0;
		$cw=0;
		$cg=0;
		for($i=0; $i<count($qqarr); $i++){
			$qq=text_lefttext($qqarr[$i],'----');
			$tmpe=text_righttext($qqarr[$i],$qq.'----');
			if(strpos($tmpe,'----')!=false){//包含sid
				$mm=text_lefttext($tmpe,'----');
				$sid=text_righttext($tmpe,'----');
			}else{
				$mm=text_righttext($qqarr[$i],'----');
				$sid='';
			}
				
			if($sid==''){//只有QQ和密码======================================================================

				$zt= qqlogin($qq,$mm,$fhsid,$a);
				switch ($zt){
					case 3:
						
						$yzm=$yzm+1;
						break;
					case 2:
						$cw=$cw+1;
						break;
					case 1:
							$zz=fopen('qq.php','r+');//打开QQ文件
							$qqstr=file_get_contents('qq.php');//读入文本
							$qqmm_sid=str_replace($qq.'----'.$mm,$qq.'----'.$mm.'----'.$fhsid,$qqstr);//替换
							fwrite($zz,$qqmm_sid);//写入文件
							fclose($zz);//关闭文件
						$cg=$cg+1;
						break;
					default:
						echo '-1';
				}
			}
		

		}
		echo 'sid获取完毕！成功'.$cg.'个，密码错误'.$cw.'个，要验证码'.$yzm.'个';
	}elseif($action=='login'){
		echo '登录成功';
	}

}elseif($_GET['action']=='login'){
		echo '管理员密码错误';
}else{
	echo '非法操作';
}


?>